
% Realimentao de estado com
% Regulador Linear Quadrtico

% Seja a planta
G  = zpk([],[0,-1],1);
S  = ss(G);

% Discretizao
T = 0.1;
Sd = c2d(S,0.1,'zoh');

Phi   = Sd.a;
Gamma = Sd.b;
C     = Sd.c;

% Acesso ao estado
Sdx = ss(Phi,Gamma,eye(2),zeros(2,1),T);

% Matrizes de Peso
Q = C'*C;
R = 1;

% Projeto do RLQ
[K,X,zc] = dlqr(Phi,Gamma,Q,R)

% Simulao
sim('ex_sf_rlq_sim');

% Grfico
figure(1); clf
stairs(tsim,xsim,'-o')
hold on
stairs(tsim,usim,'-ok')
grid
legend('x_{1}(t) = y(t)','x_{2}(t) = dy(t)/dt','u(t)')
xlabel('t (s)')
ylabel('x(t)')
title('Resposta da Malha Fechada com RLQ')